import { BuildContext, BuiltTaskResult } from '@teambit/builder';
import { Compiler, CompilerMain, TranspileOpts, TranspileOutput } from '@teambit/compiler';
import { Logger } from '@teambit/logger';
import { BabelCompilerOptions } from './compiler-options';
export declare class BabelCompiler implements Compiler {
    readonly id: string;
    private logger;
    private compiler;
    private options;
    private babelModule;
    distDir: string;
    distGlobPatterns: string[];
    shouldCopyNonSupportedFiles: boolean;
    artifactName: string;
    constructor(id: string, logger: Logger, compiler: CompilerMain, options: BabelCompilerOptions, babelModule?: any);
    displayName: string;
    version(): any;
    transpileFile(fileContent: string, options: TranspileOpts): TranspileOutput;
    build(context: BuildContext): Promise<BuiltTaskResult>;
    createTask(name?: string): import("@teambit/compiler/compiler.task").CompilerTask;
    private buildOneCapsule;
    private setConfigFileFalse;
    getArtifactDefinition(): {
        generatedBy: string;
        name: string;
        globPatterns: string[];
    }[];
    getDistPathBySrcPath(srcPath: string): string;
    isFileSupported(filePath: string): boolean;
    displayConfig(): string;
    private replaceFileExtToJs;
}
