"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.array.iterator");

require("core-js/modules/es.promise");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BabelMain = void 0;

function _defineProperty2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

  _defineProperty2 = function () {
    return data;
  };

  return data;
}

function _cli() {
  const data = require("@teambit/cli");

  _cli = function () {
    return data;
  };

  return data;
}

function _compiler() {
  const data = require("@teambit/compiler");

  _compiler = function () {
    return data;
  };

  return data;
}

function _logger() {
  const data = require("@teambit/logger");

  _logger = function () {
    return data;
  };

  return data;
}

function babel() {
  const data = _interopRequireWildcard(require("@babel/core"));

  babel = function () {
    return data;
  };

  return data;
}

function _babel() {
  const data = require("./babel.aspect");

  _babel = function () {
    return data;
  };

  return data;
}

function _babel2() {
  const data = require("./babel.compiler");

  _babel2 = function () {
    return data;
  };

  return data;
}

class BabelMain {
  constructor(logger, compiler) {
    this.logger = logger;
    this.compiler = compiler;
  }

  createCompiler(options, babelModule = babel()) {
    return new (_babel2().BabelCompiler)(_babel().BabelAspect.id, this.logger, this.compiler, options, babelModule);
  }

  getPackageJsonProps() {
    return {
      main: 'dist/{main}.js'
    };
  }

  static async provider([loggerExt, compiler]) {
    const logger = loggerExt.createLogger(_babel().BabelAspect.id);
    return new BabelMain(logger, compiler);
  }

}

exports.BabelMain = BabelMain;
(0, _defineProperty2().default)(BabelMain, "runtime", _cli().MainRuntime);
(0, _defineProperty2().default)(BabelMain, "dependencies", [_logger().LoggerAspect, _compiler().CompilerAspect]);

_babel().BabelAspect.addRuntime(BabelMain);

//# sourceMappingURL=babel.main.runtime.js.map